OwlInitialRegistration (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.agreement.owl

## Class OwlInitialRegistration

- java.lang.Object
- - org.bouncycastle.crypto.agreement.owl.OwlInitialRegistration

-     public class OwlInitialRegistration
      extends java.lang.Object

  The payload sent by `OwlClientRegistration`, during the user registration phase of an Owl exchange.

  The `OwlClientRegistration` creates and sends an instance of this payload to the `OwlServerRegistration`. The payload to send should be created via `OwlClientRegistration.initiateUserRegistration()`.

  Each `OwlServerRegistration` must also validate the payload received from the `OwlClientRegistration`. The received payload should be validated via `OwlServerRegistration.registerUseronServer(OwlInitialRegistration)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OwlInitialRegistration(java.lang.String clientId, java.math.BigInteger pi, ECPoint gt)` Constructor of OwlInitialRegistration

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientId()` Get the client identity (or username)
    `ECPoint` | `getGt()` Get T = t * [G]
    `java.math.BigInteger` | `getPi()` Get pi = H(t), where t = H(Username||password) mod(n)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OwlInitialRegistration

          public OwlInitialRegistration(java.lang.String clientId,
                                        java.math.BigInteger pi,
                                        ECPoint gt)

      Constructor of OwlInitialRegistration
      Parameters:
        `clientId` - Client identity (or username)
        `pi` - pi = H(t), where t = H(Username||password) mod(n)
        `gt` - T = t * [G]

  - ### Method Detail

    - #### getClientId

          public java.lang.String getClientId()

      Get the client identity (or username)
      Returns:
        The client identity

    - #### getPi

          public java.math.BigInteger getPi()

      Get pi = H(t), where t = H(Username||password) mod(n)
      Returns:
        pi

    - #### getGt

          public ECPoint getGt()

      Get T = t * [G]
      Returns:
        T